Subject: Re: [PATCH net-next v2 12/14] sfc: set EF100 VF MAC address through representor

From: Jakub Kicinski <[email-masked]>
Date: Thu, 28 Jul 2022 09:20:08 -0700

On Thu, 28 Jul 2022 16:47:36 +0100 Edward Cree wrote:
> On 28/07/2022 04:10, Jakub Kicinski wrote:
> > On Wed, 27 Jul 2022 18:46:02 +0100 [email-masked] wrote:  
> >> When setting the VF rep's MAC address, set the provisioned MAC address
> >>  for the VF through MC_CMD_SET_CLIENT_MAC_ADDRESSES.  
> > 
> > Wait.. hm? The VF rep is not the VF. It's the other side of the wire.
> > Are you passing the VF rep's MAC on the VF? Ethernet packets between
> > the hypervisor and the VF would have the same SA and DA.
> 
> Yes (but only if there's an IP stack on the repr; I think it's fine if
>  the repr is plugged straight into a bridge so any ARP picks up a
>  different DA?).
> I thought that was weird but I also thought that was 'how it's done'
>  with reps — properties of the VF are set by applying them to the rep.
> Is there some other way to configure VF MAC?  (Are we supposed to still
>  be using the legacy SR-IOV interface, .ndo_set_vf_mac()?  I thought
>  that was deprecated in favour of more switchdev-flavoured stuff…)

It's set thru

 devlink port function set DEV/PORT_INDEX hw_addr ADDR

"port functions" is a weird object representing something 
in Mellanox FW. Hopefully it makes more sense to you than
it does to me.